## libclass-virtual-perl 0.06

=== debian/changelog ===
libclass-virtual-perl (0.06-3) unstable; urgency=low

  * Add dependencies on libclass-isa-perl | perl (<< 5.10.1-13)
    (closes: #614412)
  * Update dh compat to 7, and use tiny rules file
  * Update Standards-Version (no changes)
  * Switch to source format 3.0 (quilt)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 26 Feb 2011 17:42:14 +0000

libclass-virtual-perl (0.06-2) unstable; urgency=low

  * Fix debian/rules rmdir bug (closes: 467686)
  * Update Standards-Version (no changes)
  * Standardize debian/watch format
  * debian/control: add Homepage field
  * Fix make distclean lintian warning

 -- Dominic Hargreaves <dom@earth.li>  Tue, 26 Feb 2008 22:00:46 +0000

libclass-virtual-perl (0.06-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version (no changes)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 05 Jun 2007 19:20:39 +0100

libclass-virtual-perl (0.05-2) unstable; urgency=low

  * Fix lintian error regarding multiline control fields.

 -- Dominic Hargreaves <dom@earth.li>  Tue,  5 Apr 2005 22:22:05 +0100

libclass-virtual-perl (0.05-1) unstable; urgency=low

  * New upstream release.
  * Add missing build dependency.
  * Update debian/copyright.

 -- Dominic Hargreaves <dom@earth.li>  Mon,  3 Jan 2005 02:13:41 +0000

libclass-virtual-perl (0.04-1) unstable; urgency=low

  * Initial Release.

 -- Dominic Hargreaves <dom@earth.li>  Wed,  3 Nov 2004 23:55:01 +0000
