=== debian/control ===
Source: libclass-virtual-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: perl (>= 5.8.0-7), libcarp-assert-perl (>= 0.1),
 libclass-data-inheritable-perl (>= 0.02),
 libclass-isa-perl | perl (<< 5.10.1-13)
Maintainer: Dominic Hargreaves <dom@earth.li>
Standards-Version: 3.9.1
Homepage: http://search.cpan.org/dist/Class-Virtual/

Package: libclass-virtual-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libcarp-assert-perl (>= 0.1),
         libclass-data-inheritable-perl (>= 0.02),
         libclass-isa-perl | perl (<< 5.10.1-13)
Description:  Base class for virtual base classes
 This is a base class for implementing virtual base classes (what some
 people call an abstract class).  Kinda kooky.  It allows you to
 explicitly declare what methods are virtual and that must be
 implemented by subclasses.  This might seem silly, since your program
 will halt and catch fire when an unimplemented virtual method is hit
 anyway, but there's some benefits.
 .
 The error message is more informative.  Instead of the usual
 "Can't locate object method" error, you'll get one explaining that a
 virtual method was left unimplemented.
 .
 Subclass authors can explicitly check to make sure they've implemented
 all the necessary virtual methods.  When used as part of a regression
 test, it will shield against the virtual method requirements changing
 out from under the subclass.
