## libclass-virtual-perl 0.08

=== debian/changelog ===
libclass-virtual-perl (0.08-3) unstable; urgency=medium

  * Team upload.
  * Reupload with tarball from the archive.
  * Update debian/upstream/metadata.
  * Declare compliance with Debian Policy 4.6.1.
  * Set Rules-Requires-Root: no.
  * Annotate test-only build dependencies with <!nocheck>.
  * Update short and long description.

 -- gregor herrmann <gregoa@debian.org>  Sun, 12 Jun 2022 13:58:28 +0200

libclass-virtual-perl (0.08-2) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Strip unusual field spacing from debian/control.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Bump debhelper from old 12 to 13.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 11 Jun 2022 22:53:06 +0100

libclass-virtual-perl (0.08-1) unstable; urgency=medium

  * Change maintainer to Debian Perl Group
  * Update Vcs-* and Homepage fields
  * debian/watch: use metacpan-based URL.
  * Update dh compat to 9
  * Update Standards-Version (no changes)
  * Tidy up old versioned dependencies
  * Add Testsuite control field
  * Switch to machine-readable debian/copyright
  * New upstream release

 -- Dominic Hargreaves <dom@earth.li>  Wed, 23 Aug 2017 14:48:13 +0100
