=== debian/watch ===
version=4
https://metacpan.org/release/Class-Virtual   .*/Class-Virtual-v?@ANY_VERSION@@ARCHIVE_EXT@$
